> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a V2 datasource

> Fetch the configuration properties of the specified V2 datasource configuration.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-connectors.json get /connectors/configs/{id}
openapi: 3.0.1
info:
  title: Fusion Connectors Service API
  description: A Lucidworks Fusion microservice for Connectors management.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Connector Plugins API
    description: >-
      The Connector Plugins API allows you to list, install, update and
      uninstall connector plugins.
  - name: Connector Plugins Repository API
    description: >-
      The Connector Plugins Repository API gives you access to connector plugins
      from the plugin repository.
  - name: Connector Schema API
    description: >-
      The Connector Schema API provides you with the available configuration
      properties for any connector plugin type.
  - name: Datasource Configuration API
    description: >-
      The Datasource Configuration API allows you to manage datasource
      configurations for both Classic and V2 (SDK) connectors. These are the
      configurations that define settings for crawling a specific repository,
      database, API, or other content source.
  - name: Datasource Configuration V2 API
    description: >-
      The Datasource Configuration V2 API allows you to manage V2 (SDK)
      datasource configurations. These are the configurations that define
      settings for crawling a specific repository, database, API or other
      content source.
  - name: Datasource Jobs API
    description: >-
      The Datasource Jobs API allows you to to list, start or stop, and check
      the status of datasource crawl jobs.
  - name: Connectors Configuration Suggestion API
    description: >-
      The Configuration Suggestion API allows to get suggestion on which
      connector plugin can be used for crawling provided content source.
  - name: Connectors Security Filter API
    description: >-
      The Connectors Security Filters API provides security filter queries
      generated for a specific collection, user and connector type. These filter
      queries are used by the query pipeline to filter out documents returned to
      specific users and group of users depending on their permissions.
externalDocs:
  description: Lucidworks Documentation.
  url: https://doc.lucidworks.com/
paths:
  /connectors/configs/{id}:
    get:
      tags:
        - Datasource Configuration V2 API
      summary: Get a V2 datasource
      description: >-
        Fetch the configuration properties of the specified V2 datasource
        configuration.
      operationId: getConnectorConfig
      parameters:
        - name: id
          description: The datasource configuration ID.
          in: path
          required: true
          schema:
            type: string
          example: lucidworks_file_upload-api-test-app
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                parserId: api-test-app
                created: '2024-08-02T18:41:09.470Z'
                coreProperties: {}
                modified: '2024-08-02T18:41:09.470Z'
                id: lucidworks_file_upload-api-test-app
                type: lucidworks.file-upload
                collectionId: api-test-app
                properties:
                  mediaType: application/octet-stream
                  fileId: pokedex.json.zip
                pipelineId: api-test-app
              schema:
                type: object

````